package mschmidt.komo.datatools;
/*
 * Constant definitions for Wizards.
 */

public class WizardConstants {
	/*
	 * Backup wizard constants. 
	 */
	public static String BACKUP_DISABLE_DOLLAR = "Disable-Dollar-Quoting";
	
	public static String BACKUP_ENGINE = "Backup-Engine";
	
	public static String BACKUP_FILE = "Backup-File";
	
	public static String BACKUP_FORMAT = "File-Format";
	
	public static String BACKUP_IGNORE_VERSION = "Ignore-Version";
	
	public static String BACKUP_VERBOSE = "Verbose";
	
	public static String BACKUP_WITH_OIDS = "With-OIDS";
	
	/*
	 * Restore wizard constants.
	 */
	public static final String RESTORE_ANALYZE = "Analyze";
	
	
	public static final String RESTORE_CLEAN = "Clean";
	
	public static final String RESTORE_DROP = "Drop-Utility";
	
	public static final String RESTORE_DROP_APP = "dropdb.exe";
	
	public static final String RESTORE_ENGINE = "Restore-Engine";

	public static final String RESTORE_ENGINE_APP = "pg_restore.exe";
	
	public static final String RESTORE_EXIT_ON_ERROR = "Exit-On-Error";
	
	public static final String RESTORE_FILE = "Restore-File";
	
	public static final String RESTORE_IGNORE_VERSION = "Ignore-Version";
	
	public static final String RESTORE_ITEMS = "Items-Selection";
	
	public static final String RESTORE_VERBOSE = "Verbose";
	
	/*
	 * Vacuum wizard constants.
	 */
	public static final String VACUUM_ANALYZE = "Analyze";
	
	public static final String VACUUM_FREEZE = "Freeze-Tuples";
	
	public static final String VACUUM_FULL = "Full";
	
	public static final String VACUUM_VERBOSE = "Verbose";
	

}
